commit 795a267464fc03ca877cc1410b695944114413ad
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Tue Aug 13 11:18:14 2013 +0100

    Backport addCopySpecs() for rhel-6
    
    A couple of recent backports to the nfs and openhpi plug-ins use
    the addCopySpecs() API to collect multiple host files in a single
    call.
    
    Rather than adapt the plug-ins to make multiple calls backport
    this trivial helper function to maintain as much consistency as
    possible.
    
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

diff --git a/sos/plugintools.py b/sos/plugintools.py
index ea29ea9..2419ee4 100644
--- a/sos/plugintools.py
+++ b/sos/plugintools.py
@@ -314,6 +314,10 @@ class PluginBase:
             if filespec not in self.copyPaths:
                 self.copyPaths.append(filespec)
 
+    def addCopySpecs(self, copyspecs):
+        for copyspec in copyspecs:
+            self.addCopySpec(copyspec)
+
     def callExtProg(self, prog):
         """ Execute a command independantly of the output gathering part of
         sosreport
